export  let clientEnumConfig = {
}


/**
 * 支部名称 branchName
 */
export enum BRANCHNAMETYPE {
    党总支 = 1,
    牙防所第一支部,
    牙防所第二支部,
    牙防所第三支部,
    牙防所第四支部
}


/**
 * 党内职务 partyPositions
 */
export enum PARTYPOSITIONSICON {
    党员 = 1,
    入党积极分子,
    预备党员,
    党总支书记,
    党总支副书记,
    党总支宣传委员,
    党总支统战委员,
    党总支纪检委员,
    支部书记,
    支部副书记,
    纪检委员,
    统战委员,
    组织委员,
    宣传委员,
}


/**
 * 党内职务 partyPositions
 */
 export enum PARTYPOSITIONS {
    党总支书记 = 4,
    党总支副书记,
    党总支宣传委员,
    党总支统战委员,
    党总支纪检委员,
    支部书记,
    支部副书记,
    纪检委员,
    统战委员,
    组织委员,
    宣传委员,
}


/**
 * 行政职务 administrativePosition 
 */
export enum ADMINISTRATIVEPOSITION {
    职员 = 1,
    办公室主任,
    办公室副主任,
    财务科副科长,
    副所长,
    口腔种植科主任,
    副主任护师,
    副主任医师,
    工会主席,
    口腔技术室主任,
    护理部主任,
    护师,
    护士,
    技师,
    技士,
    康健分所主任,
    口腔颌面外科副主任,
    口腔修复科副主任,
    口腔正畸科主任,
    口腔综合科副主任,
    人事科科长,
    项目管理工程师,
    牙体牙髓科副主任,
    牙周科主任,
    医师,
    医务科副科长,
    预防口腔,
    儿童口腔科主任,
    执行所长,
    主管护师,
    主管技师,
    主治医师,
}


/**
 * 名册录入类型
 */
export enum ENTRYTYPE {
    正式党员 = 1,
    入党积极分子,
    预备党员
}


/** 
 * 组织生活 党建活动类型
*/
export enum ACTIVITYTYPE {
    日常教育培训 = 1,
    主题党日活动,
    骨干队伍培训,
    支部工作会,
    二十大精神,
    三会一课
}


/**
 * 党建资讯类型
 */
export enum INFORMATIONTYPE {
    医院文化 = 1,
    精神文明,
    科普知识,
    先进典型
}


/**
 * 性别
 */
export enum SEX {
    男 = 1,
    女
}


/**
 * 验证码类型
 */
export enum CODETYPE {
    修改密码 = 1,
}


/**
 * 文化程度
 */
 export enum DEGREE {
    初中 = 1,
    高中,
    大专,
    本科,
    硕士,
    博士
}


/**
 *  所属科室 department
 */
export enum DEDPARTMENT {
    办公室 = 1,
    财务科,
    放射科,
    工会,
    技术室,
    颌面外科,
    护理,
    护理部,
    检验科,
    康健分所,
    科教科,
    口腔颌面外科,
    口腔科,
    口腔修复科,
    口腔正畸科,
    口腔综合科,
    人事科,
    特需,
    信息科,
    修复科,
    牙体牙髓科,
    牙周科,
    药房,
    医务科,
    预防科,
    预防口腔,
    儿童口腔科,
    院部,
    种植科,
    正畸科,
    综合科,
}


/**
 * 党建先锋 荣誉类型 honorType
 */
export enum HONORTYPE {
    支部先锋 = 1,
    模范党员,
}


/**
 * 党建先锋 荣誉级别 honorLevel
 */
 export enum HONORLEVEL {
    区级荣誉 = 1,
    市级荣誉,
    院级荣誉,
    国家级荣誉,
}


/**
 * 党建先锋 模范类型 modelType
 */
 export enum MODELTYPE {
    党建先锋岗 = 1,
}


/**
 * 党员状态 partyState
 */
export enum PARTYSTATE {
    在党 = 1,
    退党
}