import * as organizationalLifeModel  from "../data/organizationalLife";
import * as partyInformationModel from "../data/partyInformation";
import * as partyMemberModel from "../data/partyMember";
import * as partyVanguardModel from "../data/partyVanguard";
import * as branchSystemModel from "../data/branchSystem";


export async function initTable() {
    partyMemberModel.initModel();
    organizationalLifeModel.initModel();
    partyInformationModel.initModel();
    partyVanguardModel.initModel();
    branchSystemModel.initModel();
}