import moment = require("moment");
import { initConfig, systemConfig} from "./config/systemConfig";
import { initDB } from "./db/dbInit";
import { httpServer } from "./net/http_server";
import { initBasicData } from "./tools/dataInit";
import { getPwdMd5, getToken, md5PwdStr } from "./tools/system";

async function lanuch() {
    /**初始化配置解析 */
    await initConfig();
    /**初始化数据库 */
    await initDB();
    /**初始化底表数据 */
    await initBasicData();
    /**创建http服务 */
    httpServer.createServer(systemConfig.port);
    console.log('This indicates that the server is started successfully.');
    await test();
}

const fs = require("fs");
// const url = path.join(__dirname.substring(0,__dirname.indexOf("out")), "files/docx/党建资讯");

function test() {
    // let time = moment(560016000000).format("YYYY-MM-DD");
    // let p = md5PwdStr("946885");
    // let pwd = getPwdMd5("15821946885", "bdcb05781f14e7bf275a7b51d554f045");
    // let token = getToken("946885");

    fs.readdir('./files/docx/党建资讯',(err,files)=>{
        if (err) {
            console.log(err);
        } else{
            // console.log(files); //返回的文件是个数组,可以用forEach循环输出文件名
             files.forEach((file)=>{
                 console.log('http://123.207.147.179:7079/docx/党建资讯/'+ file);
             })
        }
    })

    console.log();
}

lanuch();

let a = [
    // "36dea1f3c44ab89798d3b3f7fb14667d",
    // "f7be11973c1671079e702ae0adb661f1",
    // "68ab8ceeed13831c7f8c09e24cce4f55",
    // "f18a042255cfab614fad98bd45ab35b3",
    // "952b91f0ce058bb282320bfac470adbf",
    // "c1addb426c051200a141132c8344288e",
    // "42fb19781c7c4b49cc1b688ba6c44502",
    // "8841d2865336f378e07c7c7e292ab66c",
    // "c0b6b38cdfacae5e511b4efababe7a0b",
    // "c35caf37f74eb90ed8c79cb87be4d57b",
    // "5a7f12ce6a584d35cac5b76c8b4fbd5a",
    // "ee160a40b5f85883a5c89e6cc469108f"
]